#! /usr/bin/env gawk

# report60.csv ν

# 1Line
function LineOut(){
    printf("%4s%2s%2s%2s,%s,%s,%s,%s,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%s\r\n",\
	   YEAR,MONTH,DAY,HOUR,E,L,O,OT,E*t,L*t,O*t,sqrt(E)*t,sqrt(L)*t,sqrt(O)*t,MEM);
							
}

BEGIN { printf("#Time,Echo,LongEcho,OtherData,ObsTime,HR(Echo),HR(LongEcho),HR(OtherData),Err(Echo),Err(LongEcho),Err(OtherData)\r\n")};

NR==1   {YEAR=$2;MONTH=$3;DAY=$4;HOUR=$5;E=0;L=0;O=0;OT=0;MEM=""} ;

{
    if (HOUR==$5){
	E+=$7;
	L+=$8;
	O+=$9;
	OT+=$10;
	if (index(MEM,$11)==0) MEM=MEM$11;
    }else{
	if (OT==0) t=0 ; else t=60/OT;
	LineOut();

	YEAR=$2;
	MONTH=$3;
	DAY=$4;
	HOUR=$5;
	E=$7;
	L=$8;
	O=$9;
	OT=$10;
	MEM=$11;
    }
}
END {LineOut();}
